@font-face {
    font-family: OpenSans-Bold;
    src: url(../resource/font/Open_Sans/OpenSans-SemiBold.ttf);
}

html{
	font-size: 10px;
}

body{
	background-color: #F2F2F2;
	font-family: OpenSans-Bold, Calibri, Arial;
}

/* HEADER */

header{
	position: fixed;
	z-index: 999;
	top: 0;
	left: 0;
	width : calc(100% - 22rem);
	height: 50px;
	background-color: #FFFFFF;
	box-shadow: 0px .2rem .4rem rgba(0, 0, 0, 0.15);
	margin-left: 22rem;
}

#logo{
    height: 17.5rem;
    width: auto;
}

#top-nav{
    height: 5rem;
}

header > section{
	position: relative;
	height: 5rem;
}

header > section > #burgerMenu{
	display: none;
	position: absolute;
	top: 50%;
    transform: translateY(-50%);
    cursor: pointer;
}

header > section > #burgerMenu > .svg{
	width: 2.5rem;
	height: 2.5rem;
	vertical-align: middle;
	fill: #F681A9;
}

header > section > #nameSiteWeb, header > section > #profile{
	position: absolute;
    top: 50%;
    transform: translateY(-50%);
}

header > section > #profile{
	right: 40;
}

header > section > #nameSiteWeb > .svg{
	width: 2.5rem;
	height: 2.5rem;
	vertical-align: middle;
	fill: #F681A9;
    margin-left: 2em;
}

header > section > #nameSiteWeb > a{
	font-size: 1.4rem;
	vertical-align: middle;
	text-decoration: none;
	color: #3F4867;
}

header > section > #nameSiteWeb > a:hover{
	text-shadow: 0 .3rem .6rem rgba(206, 206, 206, 1);
}

header > section > #profile > #profileNamePicture > .pictureProfile{
	width: 3.5rem;
	height: 3.5rem;
	object-fit: cover;
	vertical-align: middle;
	margin-left: .5rem;
	margin-right: .5rem;
	border-radius: 50%;
	border: 0.1rem solid #F681A9;
}

header > section > #profile > #profileNamePicture > .chevronProfile{
	cursor: pointer;
}

header > section > #profile > #profileNamePicture > span{
	vertical-align: middle;
	font-size: 1.4rem;
	color: #3F4867;
}

header > section > #profile > #profileNamePicture > .openProfile, header > section > #profile > #profileNamePicture > .closeProfile{
	width: 1.5rem;
	height: 1.5rem;
	vertical-align: middle;
}

header > section > #profile > #profileNamePicture > .closeProfile{
	display: none;
}

header > section > #profile > #profileSettings{
	display: none;
	width: 17.1rem;
	position: absolute;
	border: .1rem solid rgba(149,153,171,.2);
	border-radius: .5rem;
    margin-top: .8rem;
    background-color: #FFFFFF;
}

header > section > #profile > #profileSettings > #myProfile, header > section > #profile > #profileSettings > #logout{
	line-height: 2;
}

header > section > #profile > #profileSettings > #myProfile:hover, header > section > #profile > #profileSettings > #logout:hover{
	background-color: #F6F6F6;
}

header > section > #profile > #profileSettings > #myProfile{
	border-bottom : 1px solid rgba(149,153,171,.2);
}

header > section > #profile > #profileSettings > div > .svg, header > section > #profile > #profileSettings > div > img{
	width: 2rem;
	height: 2rem;
	vertical-align: middle;
	fill: #F681A9;
	margin-left: 1.5rem;
}

header > section > #profile > #profileSettings > div > span{
	font-size: 1.4rem;
	vertical-align: middle;
	color: #3F4867;
	padding-left: .6rem;
	cursor: pointer;
}

.logout-btn:visited,
.logout-btn:hover,
.logout-btn:link,
.logout-btn:active{
	text-decoration: none;
	color: #3D4665;

}


/* NAVIGATION */

nav{
	float: left;
	height: 100%;
	width: 22rem;
	background-color: #3F4867;
    position: fixed;
}

nav > ul{
	list-style: none;
	padding: 0;
}

nav > .logo{
	text-align: center;
}

nav > ul > li{
	line-height: 2.4;
	padding-left: 4rem;
    padding-bottom: 0.5em;
    padding-top: 0.5em;
}

nav > ul > li:hover, .active{
	background-color: rgba(14, 17, 26, 0.2);
    box-shadow: inset 0px 0px 20px 3px rgba(0,0,0,0.10);
}

nav > ul > li > .svg{
	width: 2.5rem;
	height: 2.5rem;
	vertical-align: middle;
}

nav > ul > li > a{
	text-decoration: none;
	font-size: 1.4rem;
	color: #E1E8ED;
	vertical-align: middle;
	padding-left: 1.5rem;
	cursor: pointer;
}
nav > ul > li > a:hover{
    color: white;
}


nav > ul > li > .svg, nav > ul > li > .svg .st0{
	fill: #FFF;
}
h2 {
	color: #3F4867;
}


/*	CLEAR */
.clearHeader{
	height: 5rem;
}

#contentBack{
	position: absolute;
	z-index: 100;
	left: 0;
	width : calc(100% - 220px);
	height: auto;
	margin-left: 22rem;
}

/* TYPO */


h1{
	font-family: OpenSans-Bold;
	font-style: normal;
    font-weight: bold;
    line-height: normal;
    font-size: 2rem;
    color: #3F4867;
}


.titre1{

    font-family: Open Sans;
    font-style: normal;
    font-weight: bold;
    line-height: normal;
    font-size: 1.6rem;
    color: #3F4867;
}


.titre2{

    font-family: Open Sans;
    font-style: normal;
    font-weight: bold;
    line-height: normal;
    font-size: 1.4rem;
    color: #3F4867;
}


.titre3{
    font-style: normal;
    font-weight: normal;
    line-height: normal;
    font-size: 1.4rem;
    color: #c4c2c2;
}


.texte2 {
    font-style: normal;
    font-weight: normal;
    line-height: normal;
    font-size: 1.4rem;
    color: #3F4867;
    text-align: left;
}


.texte3 {
    font-style: normal;
    font-weight: normal;
    line-height: normal;
    font-size: 1.2rem;
    text-align: left;
    color: #000000;
}



.input-form {
    border: 1px solid #ccc;
    border-radius: 2px;
    box-sizing: border-box;
    padding: 5px 7px;
}

.theme-box {
	width: 20rem;
	height: 20rem;
	border: 1px solid darkgrey;
	display: grid;
	padding: 2rem;
	margin: 1rem;
	border-radius: 3px;
}

.theme-box  > button {
	align-self: flex-end;
}

.btn{
    background-color: transparent;
    border: none;
    cursor: pointer;
}
/* TOAST NOTIFICATION */
#toast{
	position:fixed;
	top:5%;
	right: 0%;
	transform:translate(-50%);
	background-color:#EF2D56;
	color:#fff;
	padding:16px;
	border-radius:4px;
	text-align:center;
	z-index:1;
	box-shadow:0 0 20px rgba(0,0,0,0.3);
	visibility:hidden;
	opacity:0;
}

#toast.show{
	visibility:visible;
	animation:fadeInOut 5s;
}

@keyframes fadeInOut{
  5%,95%{opacity:1;top:50px}
  15%,85%{opacity:1;top:30px}
}


.modal {
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%; 
    height: 100%; 
    overflow: auto; 
    background-color: rgb(0,0,0); 
    background-color: rgba(0,0,0,0.4);

}

.modal-content {
    background-color: #fefefe;
    margin: 15% auto;
    width: 50%; 
    border-radius: 10px;
    text-align: center;
}
.modal-body {
	padding: 1rem;
}

.modal-header {
	padding: 2px 16px;
	color: white;
	border-radius: 10px 10px 0 0;
	background-color: #FBFCFD;
	border: 1px solid #EDF0F3;
}

.modal-header i{
	font-size: 2rem;
	color: black;
	margin-left: 99%;
	cursor: pointer;
	color: #3F4867;
}
.input-group {
	margin-bottom: 1rem;
    margin-top: 1rem;
}

.hide {
	display: none ;
}

.switch{
	--uiSwitchSize: var(--switchSize, 3rem);
	--uiSwitchBgColor: var(--switchBgColor, #f1f1f1);
	--uiSwitchBgColorActive: var(--switchBgColorActive, #4ed164);
	--uiSwitchBorderColorActive: var(--switchBorderColorActive, #fff);
	--uiSwitchBorderColorFocus: var(--switchBgColorFocus, #43b556);
	--uiSwitchButtonBgColor: var(--switchButtonBgColor, #fff);

	display: inline-block;
	position: relative;
	cursor: pointer;
	-webkit-tap-highlight-color: transparent;
}

.switch-label{
	display: block;
	width: 100%;
	height: 100%;
}

.switch-toggle{
	width: 0;
	height: 0;
	opacity: 0;

	position: absolute;
	top: 0;
	left: 0;
}

.switch-toggle:focus ~ .switch-label{
	box-shadow: 0 0 0 var(--uiSwitchThickFocus, 4px) var(--uiSwitchBorderColorFocus);
}

.switch-toggle:checked:focus ~ .switch-label{
	box-shadow: 0 0 0 var(--uiSwitchThickFocus, 4px) var(--uiSwitchBorderColorActive);
}

.switch-label:before, .switch-label:after{
	content: "";
	cursor: pointer;

	position: absolute;
	top: 0;
	left: 0;
}

.switch-label:before{
	width: 100%;
	height: 100%;
	box-sizing: border-box;
	background-color: var(--uiSwitchBgColor);
}

.switch-label:after{
	top: 50%;
	z-index: 3;
	transition: transform .4s cubic-bezier(0.44,-0.12, 0.07, 1.15);
}


.switch-type{
	--uiSwitchBorderRadius: var(--switchBorderRadius, 60px);

	width: var(--uiSwitchSize);
	height: calc((var(--uiSwitchSize) / 2));
	border-radius: var(--uiSwitchBorderRadius);
	background-color: var(--uiSwitchBgColorActive);
}

.switch-type .switch-label{
	border-radius: var(--uiSwitchBorderRadius);
}

.switch-type .switch-label:before{
	border-radius: var(--uiSwitchBorderRadius);
	transition: opacity .2s ease-out .1s, transform .2s ease-out .1s;
	transform: scale(1);
	opacity: 1;
}

.switch-type .switch-toggle:checked ~ .switch-label:before{
	transform: scale(0);
	opacity: .7;
}

.switch-type .switch-label:after{
	width: calc(var(--uiSwitchSize) / 2);
	height: calc(var(--uiSwitchSize) / 2);
	transform: translate3d(0, -50%, 0);

	background-color: var(--uiSwitchButtonBgColor);
	border-radius: 100%;
	box-shadow: 0 2px 5px rgba(0, 0, 0, .3);
}

.switch-type .switch-toggle:checked ~ .switch-label:after{
	transform: translate3d(100%, -50%, 0);
}

.checkbox-group label:first-child{
	float: left;
}
.checkbox-group {
	text-align: right;
	clear: both;
	margin-bottom: 1rem;
	margin-top: 1rem;
}

.checkbox-group-h3 h3:first-child{
	float: left;
}
.checkbox-group-h3 {
	text-align: right;
	clear: both;
	margin-bottom: 4rem;
}

.border-section {
	border :1px solid #E1E8ED;
}

.column-entitled{
	font-size: 1.5rem;
	color: #A3A3A3;
}
.tab-list-title {
	border-bottom: solid 1px rgba(149,153,171,.2);
	margin-bottom: 1rem;
}

.tab-list-title > h1{
	margin-left: 1rem;
}
.tab-list-row{
	padding-top: 1rem;
}
.tab-list {
	background-color: #FFFFFF;
	border-right: 10px;
	margin: 0 auto;
	margin-top: 50px;
	border: solid 1px rgba(149,153,171,.2);
	border-radius: 10px;
	padding-left: 1rem;
	padding-right: 1rem;
	padding-bottom: 1rem;
}

.addIcon {
	color: #27AE60;
}

.validate {
	color: #27AE60;
}

.danger {
	color: red;
}
.tab-pack  table {
	border-collapse: collapse;
	width: 320px;
}

.tab-pack th {
	padding: 0 0.5em;
	text-align: left;
	color: #3F4867;
}

.tab-pack td {
	padding: 0 0.5em;
	margin-top: 1rem;
}

.tab-pack td:first-child {
	width: 190px;
}

.btn-group {
	display: inline-flex;
}
.tab-pack button:first-child {
	display: flex;
	float: right;
}
.tab-pack {
	width:auto;
	height:auto;
	border: 1px solid grey;
	border-radius: 3px;
	padding: 1rem;
}
.medium-icon {
	font-size: 3rem;
}
.tab-pack span{
	text-align: left;
}

.tab-pack .btn {
	font-size: 2rem;
}

.cancel {
	padding: 1rem;
	border: solid #B0B0B0 1px;
	border-radius: .5rem;
	background-color: transparent;
	color: #B0B0B0;
	text-align: center;
	cursor: pointer;
	text-decoration: none;

}

.cancel:hover {
	background-color: #B0B0B0;
	color: white;
}
.btn-danger {
	padding: 1rem;
	border: solid red 1px;
	border-radius: .5rem;
	background-color: transparent;
	color: red;
	text-align: center;
	cursor: pointer;
	text-decoration: none;

}

.btn-danger:hover {
	background-color: red;
	color: white;
}
.error {
	color: red;
}

.delete,.edit {
	color: #FD9C9C;
}

.required{
	padding-left: 5px;
	color: red;
	font-size: 10px;
}
/* TABLETTE */

@media (max-width: 768px) {
	#nameSiteWeb > a, #profile > #profileNamePicture > span{
		display: none;
	}
}

.form-tab {
	width: 100%;
	margin: 0 auto;
	text-align: center;
	background-color: #FFFFFF;
	border: solid .1rem rgba(149,153,171,.2);
	border-radius: 1rem;
	margin-top: 5rem;
	padding: 2rem;
}
/*	MOBILE	*/

@media (max-width: 576px) {
	nav{
		display: none;
		position: absolute;
		z-index: 998;
		top: 50px;
	}
	header{
		width: 100%;
		left: -220px;
	}
	#contentBack{
		width: 100%;
		left: -220px;
	}
	header > section > #nameSiteWeb > a{
		display: none;
	}
	header > section > #profile > #profileNamePicture > span{
		display: none;
	}
	header > section > #nameSiteWeb{
	    left: 50%;
	    transform: translateX(-50%) translateY(-50%);
	}
	header > section > #burgerMenu{
		display: block;
	}
	#profileSettings{
		margin-left: -69px;
	}
}

/** PULSE ANIMATION **/

@-webkit-keyframes pulse {
	25% {
		-webkit-transform: scale(1.2);
		transform: scale(1.2);
	}
	75% {
		-webkit-transform: scale(1);
		transform: scale(1);
	}
}

@keyframes pulse {
	25% {
		-webkit-transform: scale(1.2);
		-ms-transform: scale(1.2);
		transform: scale(1.2);
	}
	75% {
		-webkit-transform: scale(1);
		-ms-transform: scale(1);
		transform: scale(1);
	}
}

.pulse {
	display: inline-flex;
	-webkit-transform: translateZ(0);
	-ms-transform: translateZ(0);
	transform: translateZ(0);
	box-shadow: 0 0 1px rgba(0, 0, 0, 0);
}

.pulse:hover {
	-webkit-animation-name: pulse;
	animation-name: pulse;
	-webkit-animation-duration: 1s;
	animation-duration: 1s;
	-webkit-animation-timing-function: linear;
	animation-timing-function: linear;
	color: #FD9C9C;
}




/* Bouton principal */
.button-primary{
	padding: 1rem;
	border: solid #FD9C9C 1px;
	border-radius: .5rem;
	background-color: transparent;
	color: #FD9C9C;
	text-align: center;
	cursor: pointer;
}

.button-primary:hover{
	border: solid #FFF 1px;
	color: #FFFFFF!important;
	background-color: #FD9C9C!important;
}

.button-secondary{
	padding: 1rem;
	border: solid #b3b1b0 1px;
	border-radius: .5rem;
	background-color: transparent;
	color: #b3b1b0;
	text-align: center;
	cursor: pointer;
}

.button-secondary:hover{
	border: solid #FFF 1px;
	color: #FFFFFF!important;
	background-color: #b3b1b0!important;
}



.miniature img{
	object-fit: cover;
	width: 100%;
	height: 100%;
}

.miniature {
	padding: 2rem;
}